Subject: bug#38025: closed (Re: bug#38025: 26.1; tramp-unload-tramp renders Emacs completely unresponsive)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 21 Nov 2019 09:41:04 +0000

Your bug report

#38025: 26.1; tramp-unload-tramp renders Emacs completely unresponsive

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
38025: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38025
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#38025: 26.1; tramp-unload-tramp renders Emacs completely unresponsive
From: Michael Albinus <[email-masked]>
To: Markus Triska <[email-masked]>
Cc: [email-masked]
Date: Thu, 21 Nov 2019 10:39:48 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 27.1

Hi Markus,

>> On OSX, when I start Emacs with:
>>
>>     $ emacs -Q
>>
>> and then log in to a remote Debian server "s" via:
>>
>>     C-x C-f /-:s: RET
>>
>> it works as expected. However, when I then do:
>>
>>     M-x tramp-unload-tramp RET
>>
>> then Emacs hangs and no longer reacts to anything, not even to C-g.
>>
>> Can you reproduce this? Thank you!
>
> Yep, I can reproduce it locally. As said the other message, you don't
> need this usually.

I've fixed this, closing the bug.

Best regards, Michael.

Subject: 26.1; tramp-unload-tramp renders Emacs completely unresponsive
From: Markus Triska <[email-masked]>
To: [email-masked]
Date: Fri, 01 Nov 2019 22:41:33 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On OSX, when I start Emacs with:

    $ emacs -Q

and then log in to a remote Debian server "s" via:

    C-x C-f /-:s: RET

it works as expected. However, when I then do:

    M-x tramp-unload-tramp RET

then Emacs hangs and no longer reacts to anything, not even to C-g.

Can you reproduce this? Thank you!

In GNU Emacs 26.1 (build 1, x86_64-apple-darwin15.3.0, X toolkit, Xaw scroll bars)
 of 2018-09-22 built on mt-macbook